#if !defined(AFX_DLL_93C56)
#define AFX_DLL_93C56
    #include "..\epro_ext.h"

    #define DI  4	    //A18 from IC5
    #define CLK 2       //X17 from IC5
    #define CS  1       //A16 from IC5
    #define ORG 0x10    //OE from IC4

    #define DO 1        //D0 from HC299

/*
    #define AT93c56  1	//AT93C56-10PC (ATMEL)
    #define MIC93c56 2	//93LC56B (Microchip)
    #define IS93c56  3	//IS93C56-3P (ISSI)
    #define CAT93c56 4	//CAT93C56 (Catalyst)
    #define ST93c56	 5	//ST93C56 (SGS Thomson)
    #define N93c56   6	//93C56N (National)
    #define F93c56   7	//93C56N (Fairchild)
*/
    #define LOWBYTE(w)  ((BYTE)(w))
    #define HIGHBYTE(w)  ((BYTE)(((WORD)(w) >> 8) & 0xFF))

    void ClockLO();
    void ClockHI();
    void LowBit();
    void HighBit();
    void StartBit();
    void LowChip();
    void DisableChip();

    void OutAdr(BYTE Anz,WORD Adr);
    BYTE GetSerialByte();
    WORD GetSerialWord();
    void PutSerialByte(BYTE Datum);
//    void PutSerialWord(WORD Datum);

    void Enable8();
//    void Enable16();
    void Disable8();
//    void Disable16();

    BOOL IsReady();

    BOOL WriteByte(WORD Adr,BYTE Datum);
//    BOOL WriteWord(WORD Adr,WORD Datum);
    BYTE ReadByte(WORD Adr);
//    WORD ReadWord(WORD Adr);

    WORD ReadByteAll(BYTE *pByte, TICInfo *pDef, CWinApp *pApp, CWnd *pCnt, CWnd *pInfo, WORD IcType);
//    WORD ReadWordAll(BYTE *pByte, TICInfo *pDef, CWinApp *pApp, CWnd *pCnt, CWnd *pInfo, WORD IcType);
    int WriteByteAll(BYTE *pByte, TICInfo *pDef, CWinApp *pApp, CWnd *pCnt, CWnd *pInfo, WORD IcType);
//    int WriteWordAll(BYTE *pByte, TICInfo *pDef, CWinApp *pApp, CWnd *pCnt, CWnd *pInfo, WORD IcType);
    WORD VerifyByteAll(BYTE *pByte, TICInfo *pDef, CWinApp *pApp, CWnd *pCnt, CWnd *pInfo, WORD IcType);
//    WORD VerifyWordAll(BYTE *pByte, TICInfo *pDef, CWinApp *pApp, CWnd *pCnt, CWnd *pInfo, WORD IcType);

#endif